/*
Luminosité écran de téléphone portable 
*/

// Définition des constantes
const int PhotoRes = A2;  // Analog input pin : lié à la photorésistance
const int led = 8; // Analog output pin: lié à la LED

int PhotoResVal = 0; // la phototrésistance sur A0
int ledVal = 0; // valeur reçue par la LED

void setup() { 
  pinMode(led,OUTPUT);// Définir la sortie de la LED
  Serial.begin(9600); 
}
 
void loop() {
  PhotoResVal = analogRead(PhotoRes); // On récupère la valeur du capteur
 
  Serial.print("Valeur = "); 
  Serial.println(PhotoResVal); // On affiche la valeur sur le moniteur série
 
  if(PhotoResVal > 500 ){ // on allume la led en fonction de cette valeur   
      digitalWrite(8,HIGH);
  }
  else{
      digitalWrite(8,LOW);
  }
 
delay(30); // evidement plus la pause est courte plus la réaction est rapide. Malheureusement la photorésistance a un temps de réponse assez court de l'ordre de 30ms..
}
